Index: /trunk/src/d2m_to_q2m_erai.pro
===================================================================
--- /trunk/src/d2m_to_q2m_erai.pro	(revision 91)
+++ /trunk/src/d2m_to_q2m_erai.pro	(revision 92)
@@ -9,18 +9,36 @@
 ; Conversion of d2m to q2m on OAFLUX grid
 ;
-; :file:`${PROJECT_OD}/erai_d2m_19890101_20091231_oafluxgrid.nc` have been 
-; produced by :ref:`interp_erai_dewt_1989_2009.pro`.
-;
-; :file:`${PROJECT_OD}/erai_t2m_19890101_20091231_oafluxgrid.nc` have been 
-; produced by :ref:`interp_erai_t2m_1989_2009.pro`.
-;
-; :file:`${PROJECT_OD}/erai_msl_19890101_20091231_oafluxgrid.nc` have been 
+; :file:`${PROJECT_OD}/erai_d2m_19890101_20091231_oafluxgrid.nc`
+; containing
+; ++
+; has been produced by
+; :ref:`interp_erai_dewt_1989_2009.pro`.
+;
+; :file:`${PROJECT_OD}/erai_t2m_19890101_20091231_oafluxgrid.nc`
+; containing
+; ++
+; has been produced by
+; :ref:`interp_erai_t2m_1989_2009.pro`.
+;
+; :file:`${PROJECT_OD}/erai_msl_19890101_20091231_oafluxgrid.nc`
+; containing
+; ++
+; has been
 ; produced by :ref:`interp_erai_msl_1989_2009.pro`.
 ;
-; q2m on OAFLUX grid is written in
+; q2m on OAFLUX grid
+; is written in
 ; :file:`${PROJECT_OD}/erai_q2m_19890101_20091231_oafluxgrid.nc`
 ; if this file not already exists.
 ;
-; This file will be used by :ref:`q2m_correction_ncdf.pro`.
+; This file
+; :file:`${PROJECT_OD}/erai_q2m_19890101_20091231_oafluxgrid.nc`
+; will be used by :ref:`q2m_correction_ncdf.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -45,4 +63,6 @@
 ; ========
 ;
+; :ref:`mooring_corrections`
+;
 ; [Gill:AP:1982]_
 ;
@@ -50,6 +70,4 @@
 ;
 ; :ref:`project_profile.sh`
-;
-; :ref:`mooring_corrections`
 ;
 ; :ref:`interp_erai_dewt_1989_2009.pro`
@@ -94,5 +112,5 @@
 ;
 ; $Id$
-; 
+;
 ; $URL$
 ;
@@ -174,4 +192,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_d2m
+ras = report(msg)
 fullfilename_d2m = isafile(iodirout + filename_d2m, NEW=0, /MUST_EXIST)
 IF fullfilename_d2m[0] EQ '' THEN BEGIN
@@ -185,4 +205,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_t2m
+ras = report(msg)
 fullfilename_t2m = isafile(iodirout + filename_t2m, NEW=0, /MUST_EXIST)
 IF fullfilename_t2m[0] EQ '' THEN BEGIN
@@ -196,4 +218,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_msl
+ras = report(msg)
 fullfilename_msl = isafile(iodirout + filename_msl, NEW=0, /MUST_EXIST)
 IF fullfilename_msl[0] EQ '' THEN BEGIN
@@ -239,5 +263,5 @@
 P=read_ncdf("msl", d1, d2, file=fullfilename_msl,/nostr)
 help, P
-; ++ for debug ftp error 
+; ++ for debug ftp error
 ; ++print,P(0:1,0,0)
 ; ++stop
Index: /trunk/src/interp_erai_dewt_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_dewt_1989_2009.pro	(revision 91)
+++ /trunk/src/interp_erai_dewt_1989_2009.pro	(revision 92)
@@ -12,13 +12,30 @@
 ; Interpolation of d2 from ERA-I grid to OAFLUX grid
 ;
-; :file:`${PROJECT_ID}/20c3m_erai_d2_TROP_1989_2009.nc` containing d2 from ERA-I have been produced
-; by :ref:`compute_erai_daily_region_2d.sh`.
-;
-; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc` containing OAFLUX grid have been produced by :ref:`oaflux_mask_30N30S.pro`.
-;
-; Interpolated d2 is written in
-; :file:`${PROJECT_OD}/erai_d2m_19890101_20091231_oafluxgrid.nc` if this file not already exists.
-;
-; This output file :file:`${PROJECT_OD}/erai_d2m_19890101_20091231_oafluxgrid.nc` must be processed after by :ref:`d2m_to_q2m_erai.pro`.
+; :file:`${PROJECT_ID}/20c3m_erai_d2_TROP_1989_2009.nc`
+; containing
+; d2 from ERA-I
+; have been produced by
+; :ref:`compute_erai_daily_region_2d.sh`.
+;
+; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc`
+; containing OAFLUX grid
+; have been produced by
+; :ref:`oaflux_mask_30N30S.pro`.
+;
+; Interpolated d2
+; is written in
+; :file:`${PROJECT_OD}/erai_d2m_19890101_20091231_oafluxgrid.nc`
+; if this file not already exists.
+;
+; This output file
+; :file:`${PROJECT_OD}/erai_d2m_19890101_20091231_oafluxgrid.nc`
+; must be processed after by
+; :ref:`d2m_to_q2m_erai.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -42,4 +59,6 @@
 ; SEE ALSO
 ; ========
+;
+; :ref:`interpolate_data`
 ;
 ; :ref:`project_profile.sh`
@@ -69,4 +88,25 @@
 ; make it work : pb on loholt1 idl8::
 ;
+; reach end but bad values (all NaN) ::
+;   $ ncks -v d2m -d time,0,1 -d latitude,0,1 -d longitude,0,1 \
+;     $PROJECT_ID/erai_d2m_19890101_200 1231_oafluxgrid.nc
+;     time[0]=14245.5 latitude[0]=-29.5 longitude[0]=30.5 d2m[0]=9.96921e+36 degK
+;     time[0]=14245.5 latitude[0]=-29.5 longitude[1]=31.5 d2m[1]=9.96921e+36 degK
+;     time[0]=14245.5 latitude[1]=-28.5 longitude[0]=30.5 d2m[350]=9.96921e+36 degK
+;     time[0]=14245.5 latitude[1]=-28.5 longitude[1]=31.5 d2m[351]=9.96921e+36 degK
+;     time[1]=14246.5 latitude[0]=-29.5 longitude[0]=30.5 d2m[21000]=9.96921e+36 degK
+;     time[1]=14246.5 latitude[0]=-29.5 longitude[1]=31.5 d2m[21001]=9.96921e+36 degK
+;     time[1]=14246.5 latitude[1]=-28.5 longitude[0]=30.5 d2m[21350]=9.96921e+36 degK
+;     time[1]=14246.5 latitude[1]=-28.5 longitude[1]=31.5 d2m[21351]=9.96921e+36 degK
+
+;     latitude[0]=-29.5 degrees_north
+;     latitude[1]=-28.5 degrees_north
+;
+;     longitude[0]=30.5 degrees_east
+;     longitude[1]=31.5 degrees_east
+
+;     time[0]=14245.5 days since 1950-01-01 00:00:00
+;     time[1]=14246.5 days since 1950-01-01 00:00:00
+;
 ;   d2m[longitude,latitude,time]=d2mout:d2m_attr; longitude[]=lon:lon_attr; latitude[]=lat:lat_attr; time[*time]=timein:time_attr  @ globattr
 ;   % NCDF_DIMDEF: 0 is not a valid cdfid.
@@ -82,4 +122,6 @@
 ;     /home/pinsard/tropflux_ws/src/interp_erai_dewt_1989_2009.pro
 ;
+; no such trouble on idl64 on cratos 
+;
 ; check OUTMASK_IND and SET_OUTMSKVAL added to call_interp2d call
 ;
@@ -100,4 +142,8 @@
 ;
 ; $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/src/interp_erai_dewt_1989_2009.pro $
+;
+; - pinsard 2011-08-23T09:09:16Z loholt1.ipsl.polytechnique.fr (Linux)
+;
+;   * retry on loholt1 with idl8 and idl6
 ;
 ; - fplod 20110808T094156Z cratos (Linux)
@@ -162,4 +208,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_msk
+ras = report(msg)
 fullfilename_msk = isafile(iodirin + filename_msk, NEW=0, /MUST_EXIST)
 IF fullfilename_msk[0] EQ '' THEN BEGIN
@@ -173,4 +221,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirin + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
@@ -236,5 +286,5 @@
 d2mout=fltarr(jpi,jpj,jptin)
 for jt=0,jptin-1 do begin
-  print, 'Interpolation jt=',jt,' / ',jptin-1
+  ; ++ print, 'Interpolation jt=',jt,' / ',jptin-1
   tab=reform(d2min(*,*,jt))
   d2mout(*,*,jt)=call_interp2d(tab,lonin,latin,mskin $
Index: /trunk/src/interp_erai_lwr_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_lwr_1989_2009.pro	(revision 91)
+++ /trunk/src/interp_erai_lwr_1989_2009.pro	(revision 92)
@@ -29,4 +29,10 @@
 ; :file:`${PROJECT_OD}/erai_lwr_19890102_20091231_oafluxgrid.nc` 
 ; must be processed after by :ref:`add_198900101.sh`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -50,4 +56,6 @@
 ; SEE ALSO
 ; ========
+;
+; :ref:`interpolate_data`
 ;
 ; :ref:`project_profile.sh`
@@ -77,7 +85,4 @@
 ; make it work : pb on loholt1 idl8::
 ;
-;  OUTMASK_IND     UNDEFINED = <Undefined>
-;  SET_OUTMSKVAL   UNDEFINED = <Undefined>
-;  
 ;  lwr[longitude,latitude,time]=lwrout:lwr_attr; longitude[]=xlon:lon_attr; latitude[]=ylat:lat_attr; tt[*time]=tt:time_attr  @ globattr
 ;  % NCDF_DIMDEF: 0 is not a valid cdfid.
@@ -87,6 +92,4 @@
 ; make it work : pb on loholt1 idl6::
 ;
-;   OUTMASK_IND     UNDEFINED = <Undefined>
-;   SET_OUTMSKVAL   UNDEFINED = <Undefined>
 ;   lwr[longitude,latitude,time]=lwrout:lwr_attr; longitude[]=xlon:lon_attr; latitude[]=ylat:lat_attr; tt[*time]=tt:time_attr  @ globattr
 ;   % NCDF_VARPUT: Operation Failed, bad file (4) or variable (0) id ?
@@ -118,4 +121,8 @@
 ;
 ; $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/src/interp_erai_lwr_1989_2009.pro $
+;
+; - pinsard 2011-08-23T09:09:16Z loholt1.ipsl.polytechnique.fr (Linux)
+;
+;   * retry on loholt1 with idl8 and idl6
 ;
 ; - fplod 20110819T084310Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -195,4 +202,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_msk
+ras = report(msg)
 fullfilename_msk = isafile(iodirin + filename_msk, NEW=0, /MUST_EXIST)
 IF fullfilename_msk[0] EQ '' THEN BEGIN
@@ -208,4 +217,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirin + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
@@ -273,5 +284,5 @@
 
 for jt=0,jptin-1 do begin
-  print, 'Interpolation jt=',jt,' / ',jptin-1
+  ; ++print, 'Interpolation jt=',jt,' / ',jptin-1
 
   tab=reform(lwrin(*,*,jt))
Index: /trunk/src/interp_erai_msl_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_msl_1989_2009.pro	(revision 91)
+++ /trunk/src/interp_erai_msl_1989_2009.pro	(revision 92)
@@ -12,14 +12,31 @@
 ; Interpolation of msl from ERA-I grid to OAFLUX grid
 ;
-; :file:`${PROJECT_ID}/20c3m_erai_msl_TROP_1989_2009.nc` containing msl from ERA-I have been produced
-; by :ref:`compute_erai_daily_region_2d.sh`.
-;
-; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc` containing OAFLUX grid have been produced by :ref:`oaflux_mask_30N30S.pro`.
-;
-; Interpolated msl is written in
-; :file:`${PROJECT_OD}/erai_msl_19890101_20091231_oafluxgrid.nc` if this file not already exists.
-;
-; This output file :file:`${PROJECT_OD}/erai_msl_19890101_20091231_oafluxgrid.nc` must be processed after by :ref:`d2m_to_q2m_erai.pro`.
-;
+; :file:`${PROJECT_ID}/20c3m_erai_msl_TROP_1989_2009.nc`
+; containing
+; msl from ERA-I
+; have been produced by
+; :ref:`compute_erai_daily_region_2d.sh`.
+;
+; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc`
+; containing
+; OAFLUX grid
+; have been produced by
+; :ref:`oaflux_mask_30N30S.pro`.
+;
+; Interpolated msl
+; is written in
+; :file:`${PROJECT_OD}/erai_msl_19890101_20091231_oafluxgrid.nc`
+; if this file not already exists.
+;
+; This output file
+; :file:`${PROJECT_OD}/erai_msl_19890101_20091231_oafluxgrid.nc`
+; must be processed after by
+; :ref:`d2m_to_q2m_erai.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -44,7 +61,7 @@
 ; ========
 ;
+; :ref:`interpolate_data`
+;
 ; :ref:`project_profile.sh`
-;
-; :ref:`interpolate_data`
 ;
 ; :func:`report <saxo:report>`
@@ -70,4 +87,14 @@
 ; ====
 ;
+; make it work loholt1 idl8::
+;
+;    msl[longitude,latitude,time]=mslout:msl_attr; longitude[]=lon:lon_attr; latitude[]=lat:lat_attr; time[*time]=timein:time_attr  @ globattr
+;    % NCDF_VARPUT: Operation Failed, bad file (6) or variable (0) id ?
+;                   (NC_ERROR=-31)
+;    % Stop encountered: INTERP_ERAI_MSL_1989_2009    1
+;      /home/pinsard/tropflux_ws/src/interp_erai_msl_1989_2009.pro
+;    
+; use real output of :ref:`compute_erai_daily_region_2d.sh`.
+;
 ; msl_attr={units:'milibars' .. millibar at least, hPa will be probably
 ; more SI
@@ -89,4 +116,8 @@
 ;
 ; $URL$
+;
+; - pinsard 2011-08-23T09:09:16Z loholt1.ipsl.polytechnique.fr (Linux)
+;
+;   * retry on loholt1 with idl8 and idl6
 ;
 ; - fplod 20110811T113646Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -235,5 +266,5 @@
 mslout=fltarr(jpi,jpj,jptin)
 for jt=0,jptin-1 do begin
-  print, 'Interpolation jt=',jt,' / ',jptin-1
+  ; ++ print, 'Interpolation jt=',jt,' / ',jptin-1
   tab=reform(mslin(*,*,jt))
   mslout(*,*,jt)=call_interp2d(tab,lonin,latin,mskin $
Index: /trunk/src/interp_erai_sst_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_sst_1989_2009.pro	(revision 91)
+++ /trunk/src/interp_erai_sst_1989_2009.pro	(revision 92)
@@ -12,14 +12,30 @@
 ; Interpolation of sst from ERA-I grid to OAFLUX grid
 ;
-; :file:`${PROJECT_ID}/20c3m_erai_sstk_TROP_1989_2009.nc` containing sst from ERA-I have been produced
-; by :ref:`compute_erai_daily_region_2d.sh`.
-;
-; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc` containing OAFLUX grid have been produced by :ref:`oaflux_mask_30N30S.pro`.
-;
-; Interpolated sst is written in
-; :file:`${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc` if this file not already exists.
-;
-; This output file :file:`${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc` must be processed after by :ref:`sst_correction_ncdf.pro`.
-;
+; :file:`${PROJECT_ID}/20c3m_erai_sstk_TROP_1989_2009.nc`
+; containing sst from ERA-I
+; have been produced by
+; :ref:`compute_erai_daily_region_2d.sh`.
+;
+; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc`
+; containing
+; OAFLUX grid
+; have been produced by
+; :ref:`oaflux_mask_30N30S.pro`.
+;
+; Interpolated sst
+; is written in
+; :file:`${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc`
+; if this file not already exists.
+;
+; This output file
+; :file:`${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc`
+; must be processed after by
+; :ref:`sst_correction_ncdf.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -43,4 +59,6 @@
 ; SEE ALSO
 ; ========
+;
+; :ref:`interpolate_data`
 ;
 ; :ref:`project_profile.sh`
@@ -72,8 +90,9 @@
 ; make it work : pb on loholt1 idl8::
 ;
-;  sst[longitude,latitude,time]=sstkout:sstk_attr; longitude[]=lon:lon_attr; latitude[]=lat:lat_attr; time[*time]=timein:time_attr  @ globattr
-;  % NCDF_DIMDEF: 0 is not a valid cdfid.
-;  % Stop encountered: INTERP_ERAI_SST_1989_2009    1
-;     /home/pinsard/tropflux_ws/src/interp_erai_sst_1989_2009.pro
+;    sst[longitude,latitude,time]=sstkout:sstk_attr; longitude[]=lon:lon_attr; latitude[]=lat:lat_attr; time[*time]=timein:time_attr  @ globattr
+;    % NCDF_VARPUT: Operation Failed, bad file (7) or variable (0) id ?
+;                   (NC_ERROR=-31)
+;    % Stop encountered: INTERP_ERAI_SST_1989_2009    1
+;      /home/pinsard/tropflux_ws/src/interp_erai_sst_1989_2009.pro
 ;
 ; but ok on loholt1 idl6
@@ -97,4 +116,8 @@
 ;
 ; $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/src/interp_erai_sst_1989_2009.pro $
+;
+; - pinsard 2011-08-23T09:09:16Z loholt1.ipsl.polytechnique.fr (Linux)
+;
+;   * retry on loholt1 with idl8 and idl6
 ;
 ; - fplod 20110808T094156Z cratos (Linux)
@@ -159,4 +182,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_msk
+ras = report(msg)
 fullfilename_msk = isafile(iodirin + filename_msk, NEW=0, /MUST_EXIST)
 IF fullfilename_msk[0] EQ '' THEN BEGIN
@@ -170,4 +195,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirin + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
@@ -234,5 +261,5 @@
 sstkout=fltarr(jpi,jpj,jptin)
 for jt=0,jptin-1 do begin
-  print, 'Interpolation jt=',jt,' / ',jptin-1
+  ; ++print, 'Interpolation jt=',jt,' / ',jptin-1
   tab=reform(sstkin(*,*,jt))
   sstkout(*,*,jt)=call_interp2d(tab,lonin,latin,mskin $
Index: /trunk/src/interp_erai_t2m_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_t2m_1989_2009.pro	(revision 91)
+++ /trunk/src/interp_erai_t2m_1989_2009.pro	(revision 92)
@@ -12,13 +12,30 @@
 ; Interpolation of t2 from ERA-I grid to OAFLUX grid
 ;
-; :file:`${PROJECT_ID}/20c3m_erai_t2_TROP_1989_2009.nc` containing t2 from ERA-I have been produced
-; by :ref:`compute_erai_daily_region_2d.sh`.
-;
-; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc` containing OAFLUX grid have been produced by :ref:`oaflux_mask_30N30S.pro`.
-;
-; Interpolated t2 is written in
-; :file:`${PROJECT_OD}/erai_t2m_19890101_20091231_oafluxgrid.nc` if this file not already exists.
-;
-; This output file :file:`${PROJECT_OD}/erai_t2m_19890101_20091231_oafluxgrid.nc` must be processed after by :ref:`t2m_correction_ncdf.pro`.
+; :file:`${PROJECT_ID}/20c3m_erai_t2_TROP_1989_2009.nc`
+; containing
+; t2 from ERA-I
+; have been produced by
+; :ref:`compute_erai_daily_region_2d.sh`.
+;
+; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc`
+; containing OAFLUX grid
+; have been produced by
+; :ref:`oaflux_mask_30N30S.pro`.
+;
+; Interpolated t2
+; is written in
+; :file:`${PROJECT_OD}/erai_t2m_19890101_20091231_oafluxgrid.nc`
+; if this file not already exists.
+;
+; This output file
+; :file:`${PROJECT_OD}/erai_t2m_19890101_20091231_oafluxgrid.nc`
+; must be processed after by
+; :ref:`t2m_correction_ncdf.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -77,10 +94,11 @@
 ; make it work : pb on loholt1 idl8::
 ;
-;  t2m[longitude,latitude,*time]=t2mout:t2m_attr; longitude[]=lon:lon_attr; latitude[]=lat:lat_attr; time[]=timein:time_attr  @globattr
-;  % NCDF_DIMDEF: 0 is not a valid cdfid.
-;  % Stop encountered: INTERP_ERAI_T2M_1989_2009    1
-;     /home/pinsard/tropflux_ws/src/interp_erai_t2m_1989_2009.pro
-;
-; loholt1 idl6 : end without error but looking with ncview all brown ! 
+;    t2m[longitude,latitude,*time]=t2mout:t2m_attr; longitude[]=lon:lon_attr; latitude[]=lat:lat_attr; time[]=timein:time_attr  @globattr
+;    % NCDF_VARPUT: Operation Failed, bad file (8) or variable (0) id ?
+;                   (NC_ERROR=-31)
+;    % Stop encountered: INTERP_ERAI_T2M_1989_2009    1
+;      /home/pinsard/tropflux_ws/src/interp_erai_t2m_1989_2009.pro
+;
+; loholt1 idl6 : end without error but looking with ncview all brown !
 ;
 ; strange view (lat and lon shift with ncview) : check grid init
@@ -119,4 +137,8 @@
 ;
 ; $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/src/interp_erai_t2m_1989_2009.pro $
+;
+; - pinsard 2011-08-23T09:09:16Z loholt1.ipsl.polytechnique.fr (Linux)
+;
+;   * retry on loholt1 with idl8 and idl6
 ;
 ; - pinsard 2011-08-08T16:11:48Z loholt1.ipsl.polytechnique.fr (Linux)
@@ -215,4 +237,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_msk
+ras = report(msg)
 fullfilename_msk = isafile(iodirin + filename_msk, NEW=0, /MUST_EXIST)
 IF fullfilename_msk[0] EQ '' THEN BEGIN
@@ -226,4 +250,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_t2
+ras = report(msg)
 fullfilename_t2 = isafile(iodirin + filename_t2, NEW=0, /MUST_EXIST)
 IF fullfilename_t2[0] EQ '' THEN BEGIN
Index: /trunk/src/interp_erai_ws_1989_2009.pro
===================================================================
--- /trunk/src/interp_erai_ws_1989_2009.pro	(revision 91)
+++ /trunk/src/interp_erai_ws_1989_2009.pro	(revision 92)
@@ -12,15 +12,35 @@
 ; Interpolation of u10 and v10 from ERA-I grid to OAFLUX grid
 ;
-; :file:`${PROJECT_ID}/20c3m_erai_u10_TROP_1989_2009.nc` containing u10 from ERA-I have been produced
-; by :ref:`compute_erai_daily_region_2d.sh`.
-;
-; :file:`${PROJECT_ID}/20c3m_erai_v10_TROP_1989_2009.nc` containing u10 from ERA-I have been produced
-;
-; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc` containing OAFLUX grid have been produced by :ref:`oaflux_mask_30N30S.pro`.
-;
-; Interpolated u10 and v10 is written in
-; :file:`${PROJECT_OD}/erai_ws_19890101_20091231_oafluxgrid.nc` if this file not already exists.
-;
-; This output file :file:`${PROJECT_OD}/erai_ws_19890101_20091231_oafluxgrid.nc` must be processed after by :ref:`ws_correction_ncdf.pro`.
+; :file:`${PROJECT_ID}/20c3m_erai_u10_TROP_1989_2009.nc`
+; containing
+; u10 from ERA-I
+; have been produced by
+; :ref:`compute_erai_daily_region_2d.sh`.
+;
+; :file:`${PROJECT_ID}/20c3m_erai_v10_TROP_1989_2009.nc`
+; containing
+; v10 from ERA-I
+; have been produced by
+; :ref:`compute_erai_daily_region_2d.sh`.
+;
+; :file:`${PROJECT_ID}/mask_oaflux_30N30S.nc`
+; containing OAFLUX grid
+; have been produced by
+; :ref:`oaflux_mask_30N30S.pro`.
+;
+; Interpolated u10 and v10 are written in
+; :file:`${PROJECT_OD}/erai_ws_19890101_20091231_oafluxgrid.nc`
+; if this file not already exists.
+;
+; This output file
+; :file:`${PROJECT_OD}/erai_ws_19890101_20091231_oafluxgrid.nc`
+; must be processed after by
+; :ref:`ws_correction_ncdf.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -45,4 +65,6 @@
 ; SEE ALSO
 ; ========
+;
+; :ref:`interpolate_data`
 ;
 ; :ref:`project_profile.sh`
@@ -72,13 +94,14 @@
 ; make it work : pb on loholt1 idl8::
 ;
-;  Writing fields: 
-;  u10[longitude,latitude,time]=u10out:u10_attr; v10[longitude,latitude,time]=v10out:v10_attr; longitude[]=xlon:lon_attr; latitude[]=ylat:lat_attr; tt[*time]=tt:time_attr  @ globattr
-;  % NCDF_DIMDEF: 0 is not a valid cdfid.
-;  % Stop encountered: INTERP_ERAI_WS_1989_2009    1
-;     /home/pinsard/tropflux_ws/src/interp_erai_ws_1989_2009.pro
+;    Writing fields: 
+;    u10[longitude,latitude,time]=u10out:u10_attr; v10[longitude,latitude,time]=v10out:v10_attr; longitude[]=xlon:lon_attr; latitude[]=ylat:lat_attr; tt[*time]=tt:time_attr  @ globattr
+;    % NCDF_VARPUT: Operation Failed, bad file (9) or variable (0) id ?
+;                   (NC_ERROR=-31)
+;    % Stop encountered: INTERP_ERAI_WS_1989_2009    1
+;      /home/pinsard/tropflux_ws/src/interp_erai_ws_1989_2009.pro
 ;
 ; make it work : pb on loholt1 idl6::
 ;
-;   Writing fields: 
+;   Writing fields:
 ;   u10[longitude,latitude,time]=u10out:u10_attr; v10[longitude,latitude,time]=v10out:v10_attr; longitude[]=xlon:lon_attr; latitude[]=ylat:lat_attr; tt[*time]=tt:time_attr  @ globattr
 ;   % NCDF_VARPUT: Operation Failed, bad file (6) or variable (0) id ?
@@ -104,4 +127,8 @@
 ;
 ; $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/tropflux/svn/trunk/src/interp_erai_ws_1989_2009.pro $
+;
+; - pinsard 2011-08-23T09:09:16Z loholt1.ipsl.polytechnique.fr (Linux)
+;
+;   * retry on loholt1 with idl8 and idl6
 ;
 ; - fplod 20110808T094156Z cratos (Linux)
@@ -166,4 +193,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_msk
+ras = report(msg)
 fullfilename_msk = isafile(iodirin + filename_msk, NEW=0, /MUST_EXIST)
 IF fullfilename_msk[0] EQ '' THEN BEGIN
@@ -179,4 +208,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirin + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
@@ -226,4 +257,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirin + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
@@ -259,5 +292,5 @@
 
 for jt=0,jptin-1 do begin
-  print, 'Interpolation jt=',jt,' / ',jptin-1
+  ; ++print, 'Interpolation jt=',jt,' / ',jptin-1
   tab=reform(u10in(*,*,jt))
   u10out(*,*,jt)=call_interp2d(tab,lonin,latin,mskin $
@@ -293,5 +326,4 @@
 u10_attr={units:'m/s',missing_value:valmask,long_name:'10 metre u wind component',short_name:'u10',axis:'TYX'}
 v10_attr={units:'m/s',missing_value:valmask,long_name:'10 metre v wind component',short_name:'v10',axis:'TYX'}
-time_attr={units:'days since 1950-01-01 00:00:00',long_name:'Time axis',time_origin:' 1950-JAN-01 00:00:00'}
 globattr={source:'Tropical ocean winds obtained from ERA Interim',timerange:cda0+' - '+cda1}
 
Index: /trunk/src/lwr_correction_ncdf.pro
===================================================================
--- /trunk/src/lwr_correction_ncdf.pro	(revision 91)
+++ /trunk/src/lwr_correction_ncdf.pro	(revision 92)
@@ -9,16 +9,24 @@
 ; Correction of lwr on OAFLUX grid
 ;
-; :file:`${PROJECT_OD}/erai_lwr_19890101_20091231_oafluxgrid.nc` 
+; :file:`${PROJECT_OD}/erai_lwr_19890101_20091231_oafluxgrid.nc`
 ; containing
 ; ++
-; have been produced by 
+; have been produced by
 ; :ref:`add_19890101.sh`.
 ;
-; Corrected lwr on OAFLUX grid 
+; Corrected lwr on OAFLUX grid
 ; is written in
 ; :file:`${PROJECT_OD}/TropFlux_lwr_19890101_20091231.nc`
 ; if this file not already exists.
 ;
-; This file will be used by :ref:`TropFlux_19890101_20091231.pro`.
+; This output file
+; :file:`${PROJECT_OD}/TropFlux_lwr_19890101_20091231.nc`
+; will be used by :ref:`TropFlux_19890101_20091231.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -156,4 +164,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirout + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
Index: /trunk/src/q2m_correction_ncdf.pro
===================================================================
--- /trunk/src/q2m_correction_ncdf.pro	(revision 91)
+++ /trunk/src/q2m_correction_ncdf.pro	(revision 92)
@@ -12,12 +12,22 @@
 ; Correction of q2m on OAFLUX grid
 ;
-; :file:`${PROJECT_OD}/erai_q2m_19890101_20091231_oafluxgrid.nc` have been
-; produced by :ref:`d2m_to_q2m_erai.pro`.
-;
-; Corrected q2m on OAFLUX grid is written in
+; :file:`${PROJECT_OD}/erai_q2m_19890101_20091231_oafluxgrid.nc`
+; containing
+; ++
+; has been produced by
+; :ref:`d2m_to_q2m_erai.pro`.
+;
+; Corrected q2m on OAFLUX grid
+; is written in
 ; :file:`${PROJECT_OD}/TropFlux_q2m_19890101_20091231.nc`
 ; if this file not already exists.
 ;
 ; This file will be used by :ref:`TropFlux_19890101_20091231.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -65,5 +75,5 @@
 ; work on cratos idl7 even if NaNf values in erai_q2m_19890101_20091231_oafluxgrid.nc written by
 ; d2m_to_q2m.pro.
-; 
+;
 ; No way ... NaNf also in this output !!
 ;
Index: /trunk/src/sst_correction_ncdf.pro
===================================================================
--- /trunk/src/sst_correction_ncdf.pro	(revision 91)
+++ /trunk/src/sst_correction_ncdf.pro	(revision 92)
@@ -9,13 +9,26 @@
 ; Correction of sst on OAFLUX grid
 ;
-; :file:`${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc` have been
-; produced by :ref:`interp_erai_sst_1989_2009.pro`.
-;
-; Corrected sst on OAFLUX grid is written in
+; :file:`${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc`
+; containing
+; ++
+; has been produced by
+; :ref:`interp_erai_sst_1989_2009.pro`.
+;
+; Corrected sst on OAFLUX grid
+; is written in
 ; :file:`${PROJECT_OD}/TropFlux_sst_19890101_20091231.nc`
 ; if this file not already exists.
 ;
-; This file will be used by :ref:`cronin_gustiness_ncdf.pro` and 
+; This output file
+; :file:`${PROJECT_OD}/TropFlux_sst_19890101_20091231.nc`
+; will be used by :ref:`cronin_gustiness_ncdf.pro`
+; and
 ; :ref:`TropFlux_19890101_20091231.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -68,48 +81,48 @@
 ;   9.9692100e+36   9.9692100e+36   9.9692100e+36   9.9692100e+36       2454616.5
 ;       2454617.5
-; 
+;
 ; while ::
 ;
 ;   $ ncks -H -C -v time -d time,7080,7090 ${PROJECT_ID}/20c3m_erai_sstk_TROP_1989_2009.nc
-;   time[7080]=450432 
-;   time[7081]=450456 
-;   time[7082]=450480 
-;   time[7083]=450504 
-;   time[7084]=450528 
-;   time[7085]=450552 
-;   time[7086]=450576 
-;   time[7087]=450600 
-;   time[7088]=450624 
-;   time[7089]=450648 
-;   time[7090]=450672 
-;
-; and 
-;   ncks -H -C -v time -d time,7080,7090 ${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc 
-;   time[7080]=21325 
-;   time[7081]=21326 
-;   time[7082]=21327 
-;   time[7083]=9.96920996839e+36 
-;   time[7084]=9.96920996839e+36 
-;   time[7085]=9.96920996839e+36 
-;   time[7086]=9.96920996839e+36 
-;   time[7087]=9.96920996839e+36 
-;   time[7088]=9.96920996839e+36 
-;   time[7089]=21334 
-;   time[7090]=21335 
-;   
+;   time[7080]=450432
+;   time[7081]=450456
+;   time[7082]=450480
+;   time[7083]=450504
+;   time[7084]=450528
+;   time[7085]=450552
+;   time[7086]=450576
+;   time[7087]=450600
+;   time[7088]=450624
+;   time[7089]=450648
+;   time[7090]=450672
+;
+; and
+;   ncks -H -C -v time -d time,7080,7090 ${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc
+;   time[7080]=21325
+;   time[7081]=21326
+;   time[7082]=21327
+;   time[7083]=9.96920996839e+36
+;   time[7084]=9.96920996839e+36
+;   time[7085]=9.96920996839e+36
+;   time[7086]=9.96920996839e+36
+;   time[7087]=9.96920996839e+36
+;   time[7088]=9.96920996839e+36
+;   time[7089]=21334
+;   time[7090]=21335
+;
 ; and ::
 ;
 ;   fplod@cratos$ ncks -H -C -v time -d time,7080,7090 ${PROJECT_OD}/erai_sst_19890101_20091231_oafluxgrid.nc
-;   time[7080]=21325 
-;   time[7081]=21326 
-;   time[7082]=21327 
-;   time[7083]=21328 
-;   time[7084]=21329 
-;   time[7085]=21330 
-;   time[7086]=21331 
-;   time[7087]=21332 
-;   time[7088]=21333 
-;   time[7089]=21334 
-;   time[7090]=21335 
+;   time[7080]=21325
+;   time[7081]=21326
+;   time[7082]=21327
+;   time[7083]=21328
+;   time[7084]=21329
+;   time[7085]=21330
+;   time[7086]=21331
+;   time[7087]=21332
+;   time[7088]=21333
+;   time[7089]=21334
+;   time[7090]=21335
 
 ; coding rules
@@ -195,4 +208,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirout + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
@@ -221,5 +236,5 @@
 tt=time & jpt=n_elements(time)
 caldat, time,mon,day,yea
-; 
+;
 ; debug to understand some time value 9.9692100e+36 on idl 6 lohloht1
 print, time[7080:7090]
Index: /trunk/src/t2m_correction_ncdf.pro
===================================================================
--- /trunk/src/t2m_correction_ncdf.pro	(revision 91)
+++ /trunk/src/t2m_correction_ncdf.pro	(revision 92)
@@ -11,7 +11,8 @@
 ;
 ; :file:`${PROJECT_ID}/erai_t2m_19890101_20091231_oafluxgrid.nc`
+; containing
+; air temperature at 2 m height from ERA-I interpolated on OAFLUX grid
 ; has been produced by
 ; :ref:`interp_erai_t2m_1989_2009.pro`.
-; It contains air temperature at 2 m height from ERA-I interpolated on OAFLUX grid.
 ;
 ; Corrected air temperature at 2 m height
@@ -20,5 +21,13 @@
 ; if this file not already exists.
 ;
-; This file will be used by :ref:`TropFlux_19890101_20091231.pro`.
+; This output file
+; :file:`${PROJECT_OD}/TropFlux_t2m_19890101_20091231.nc`
+; will be used by :ref:`TropFlux_19890101_20091231.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -195,4 +204,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename_t2_uncor
+ras = report(msg)
 fullfilename_t2_uncor = isafile(iodirout + filename_t2_uncor, NEW=0, /MUST_EXIST)
 IF fullfilename_t2_uncor[0] EQ '' THEN BEGIN
Index: /trunk/src/ws_correction_ncdf.pro
===================================================================
--- /trunk/src/ws_correction_ncdf.pro	(revision 91)
+++ /trunk/src/ws_correction_ncdf.pro	(revision 92)
@@ -9,6 +9,9 @@
 ; Correction of ws on OAFLUX grid
 ;
-; :file:`${PROJECT_OD}/erai_ws_19890101_20091231_oafluxgrid.nc` have been
-; produced by :ref:`interp_erai_ws_1989_2009.pro`.
+; :file:`${PROJECT_OD}/erai_ws_19890101_20091231_oafluxgrid.nc`
+; containing
+; ++
+; have been produced by
+; :ref:`interp_erai_ws_1989_2009.pro`.
 ;
 ; Corrected ws on OAFLUX grid is written in
@@ -16,5 +19,13 @@
 ; if this file not already exists.
 ;
-; This file will be used by :ref:`TropFlux_19890101_20091231.pro`.
+; This output file
+; :file:`${PROJECT_OD}/TropFlux_ws_19890101_20091231.nc`
+; will be used by :ref:`TropFlux_19890101_20091231.pro`.
+;
+; .. only:: man
+;
+;    Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html or latex
 ;
 ;     .. graphviz::
@@ -141,4 +152,6 @@
 ;
 ; check if this file exists
+msg='iii : looking for ' + filename
+ras = report(msg)
 fullfilename = isafile(iodirout + filename, NEW=0, /MUST_EXIST)
 IF fullfilename[0] EQ '' THEN BEGIN
